summaryrefslogtreecommitdiff
path: root/.xinitrc
diff options
context:
space:
mode:
Diffstat (limited to '.xinitrc')
-rw-r--r--.xinitrc26
1 files changed, 26 insertions, 0 deletions
diff --git a/.xinitrc b/.xinitrc
new file mode 100644
index 0000000..25a7cc3
--- /dev/null
+++ b/.xinitrc
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# xinitrc runs automatically when you run startx.
+
+# There are some small but important commands that need to be run when we start
+# the graphical environment. I keep those commands in ~/.xprofile because that
+# file is run automatically if someone uses a display manager (login screen)
+# and so they are needed there. To prevent doubling up commands, I source them
+# here with the line below.
+
+[ -f ~/.xprofile ] && . ~/.xprofile
+
+# Your default LARBS WM is determined in your `~/.profile` on login. Here we
+# run the proper command to run when the graphical environment starts.
+
+# case "$LARBSWM" in
+# dwm) while :; do
+# ssh-agent dwm || break
+# done ;;
+# i3) exec i3 ;;
+# *) echo "No valid LARBS window manager detected." ;;
+# esac
+
+exec dwm
+# exec i3
+# exec bspwm